## org.codehaus.groovy.antlr
Class AntlrASTProcessSnippets

Process to decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.

author:
  Jeremy Rayner

version:
  $Revision: 7922 $

Field Summary
`SourceBuffer` | `sourceBuffer`

Constructor Summary
`AntlrASTProcessSnippets(SourceBuffer sourceBuffer)`

Method Summary
`AST` | `process(AST t)` decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.
`AST` | `traverse(GroovySourceAST t, List l, Iterator itr)` traverse an AST node

Constructor Detail

### AntlrASTProcessSnippets

    public AntlrASTProcessSnippets(SourceBuffer sourceBuffer)

Method Detail

### process

    public AST process(AST t)

  decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.
  param:
    t the AST to decorate
  return:
    the decorated AST

### traverse

    AST traverse(GroovySourceAST t, List l, Iterator itr)

  traverse an AST node
  param:
    t the AST node to traverse
  param:
    l A list to add line/col info to
  param:
    itr An iterator over a list of line/col
  return:
    A decorated AST node